MultiAssayExperiment
==============

[![Platforms](http://www.bioconductor.org/shields/availability/devel/MultiAssayExperiment.svg)](https://www.bioconductor.org/packages/devel/bioc/html/MultiAssayExperiment.html#archives)
[![Commits](http://www.bioconductor.org/shields/commits/bioc/MultiAssayExperiment.svg)](https://www.bioconductor.org/packages/devel/bioc/html/MultiAssayExperiment.html#svn_source)
[![Travis Build Status](https://api.travis-ci.org/LiNk-NY/MultiAssayExperiment.png?branch=master)](https://travis-ci.org/LiNk-NY/MultiAssayExperiment)
[![AppVeyor Build Status](https://ci.appveyor.com/api/projects/status/github/LiNk-NY/MultiAssayExperiment?branch=master&svg=true)](https://ci.appveyor.com/project/LiNk-NY/MultiAssayExperiment)
[![Coverage Status](https://codecov.io/github/LiNk-NY/MultiAssayExperiment/coverage.svg?branch=master)](https://codecov.io/github/LiNk-NY/MultiAssayExperiment?branch=master)
[![Downloads](http://www.bioconductor.org/shields/downloads/MultiAssayExperiment.svg)](https://bioconductor.org/packages/stats/bioc/MultiAssayExperiment)

# Documentation

A good starting point is the vignette, available as an Rmd file in the vignette/ subdirectory, or as a [built html page](http://rpubs.com/lwaldron/MultiAssayExperiment). A definition of the API is available by typing `API()` after loading the MultiAssayExperiment library, which opens the [API wiki](https://github.com/vjcitn/MultiAssayExperiment/wiki/MultiAssayExperiment-API).

# Ready-to-use MultiAssayExperiment objects

See http://tinyurl.com/MAEOurls for some ready-packaged MultiAssayExperiment TCGA and CCLE objects  to try out.

# Introduction

This repo is intended to start the Bioconductor special interest group
on mergeable experiment collections like TCGA.  Our objective is to use R/Bioconductor
to define interfaces allowing efficient selection and combination of 
high-dimensional assays obtained on all or many members of a group of
samples or patients.

If you are interested in joining this interest group, please join the [MultiAssayExperiment Google
Group](https://groups.google.com/forum/#!forum/biocmultiassay), and see the [calendar](https://www.google.com/calendar/embed?src=9ar0qc8mpkv6b9intgmdcdf0ss%40group.calendar.google.com&ctz=America/New_York) of upcoming meetings.

# Object documentation & Manual Generation

For convenience, the Roxygen2 package functions are used for documenting
and generating R objects and manual pages for this package. More information
can be found at [R Packages](http://r-pkgs.had.co.nz/man.html)

# Contributor Code of Conduct

As contributors and maintainers of this project, we pledge to respect
all people who contribute through reporting issues, posting feature
requests, updating documentation, submitting pull requests or patches,
and other activities.

We are committed to making participation in this project a
harassment-free experience for everyone, regardless of level of
experience, gender, gender identity and expression, sexual
orientation, disability, personal appearance, body size, race, age, or
religion.

Examples of unacceptable behavior by participants include the use of
sexual language or imagery, derogatory comments or personal attacks,
trolling, public or private harassment, insults, or other
disrespectful conduct.

Project maintainers have the right and responsibility to remove, edit,
or reject comments, commits, code, wiki edits, issues, and other
contributions that are not aligned to this Code of Conduct. Project
maintainers who do not follow the Code of Conduct may be removed from
the project team.

Instances of abusive, harassing, or otherwise unacceptable behavior
may be reported by opening an issue or contacting one or more of the
project maintainers.

This Code of Conduct is adapted from the [Contributor
Covenant](http://contributor-covenant.org), version 1.0.0, available
at
[http://contributor-covenant.org/version/1/0/0/](http://contributor-covenant.org/version/1/0/0/)
